%global modulename mississippi

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-mississippi
Version:        3.0.0
Release:        1%{?dist}
Summary:        a collection of useful streams

License:        BSD
URL:            https://github.com/maxogden/mississippi#readme
Source0:        https://registry.npmjs.org/mississippi/-/mississippi-3.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(concat-stream) >= 1.5.0 with npmlib(concat-stream) < 2.0.0))
BuildRequires:  ((npmlib(duplexify) >= 3.4.2 with npmlib(duplexify) < 4.0.0))
BuildRequires:  ((npmlib(end-of-stream) >= 1.1.0 with npmlib(end-of-stream) < 2.0.0))
BuildRequires:  ((npmlib(flush-write-stream) >= 1.0.0 with npmlib(flush-write-stream) < 2.0.0))
BuildRequires:  ((npmlib(from2) >= 2.1.0 with npmlib(from2) < 3.0.0))
BuildRequires:  ((npmlib(parallel-transform) >= 1.1.0 with npmlib(parallel-transform) < 2.0.0))
BuildRequires:  ((npmlib(pump) >= 3.0.0 with npmlib(pump) < 4.0.0))
BuildRequires:  ((npmlib(pumpify) >= 1.3.3 with npmlib(pumpify) < 2.0.0))
BuildRequires:  ((npmlib(stream-each) >= 1.1.0 with npmlib(stream-each) < 2.0.0))
BuildRequires:  ((npmlib(through2) >= 2.0.0 with npmlib(through2) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
a collection of useful streams

%package 3.0.0
Summary:        a collection of useful streams


%description 3.0.0
a collection of useful streams

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc changelog.md
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 3.0.0
%doc changelog.md
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.0.0-1
- Package automatically generated by npm2srpm
